
Redmine - Defect #1744

Em Dash (–) and “ turned in to â€“ with last code update

2008-08-04 22:28 - David Petersen

Status: Closed Start date: 2008-08-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 0.7.3

Description

We have been running on .7.0 for a while now and finally got around to updating to the newer fixes that have been released for .7.3 

When we deployed the changes on our site there where a few wiki pages where characters got all screwed up.  em Dash (–) and “

turned in to â€“.  Is there anything in the code changes from .7.0 to .7.3 that would cause this?

History

#1 - 2008-08-10 22:38 - Jean-Philippe Lang

- Target version deleted (0.7.3)

#2 - 2008-08-21 09:18 - Thomas Lecavelier

When you have migrated, have you recreated your config/database.yml file and forget about utf-8 declaration?

#3 - 2008-08-22 14:55 - David Petersen

Nope it was set to utf8 before and after the upgrade.

#4 - 2008-08-25 18:41 - Jean-Philippe Lang

I can't see what could have caused this problem. No update is done on description fields in the database when upgrading.

Did you dump/import your database for this new deployment ?

Does this problem occur at rendering time or do these characters have been changed in your database ?

#5 - 2008-08-27 15:27 - David Petersen

We did not dump then import the database for the upgrade.  Just deployed the new code and ran the migrate command.

Looks like these characters are in the db.

#6 - 2011-11-27 02:23 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Cant reproduce

Outdated.
